<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: CTObjectFollower Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d2f/class_c_t_object_follower.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">CTObjectFollower Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:add9ab77695f2edd99e45f8b764cae941"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#add9ab77695f2edd99e45f8b764cae941">CTActor</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orient, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> type, <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; items, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> hands_item, CameraToolsMenu parent)</td></tr>
<tr class="separator:add9ab77695f2edd99e45f8b764cae941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00320dd4e38164d2cd52aa934fa69581"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a00320dd4e38164d2cd52aa934fa69581">~CTActor</a> ()</td></tr>
<tr class="separator:a00320dd4e38164d2cd52aa934fa69581"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d4860913dd2769f9b9a9aeb0d369618"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a7d4860913dd2769f9b9a9aeb0d369618">GetActorType</a> ()</td></tr>
<tr class="separator:a7d4860913dd2769f9b9a9aeb0d369618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101a8717dcb49807a830e0bc7344b38f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a101a8717dcb49807a830e0bc7344b38f">AddItem</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> item)</td></tr>
<tr class="separator:a101a8717dcb49807a830e0bc7344b38f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef711b482e4fe747e47b734e4ac18603"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#aef711b482e4fe747e47b734e4ac18603">SetItems</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; items)</td></tr>
<tr class="separator:aef711b482e4fe747e47b734e4ac18603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fcf37359d5fa294e838f1afdbe07853"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a3fcf37359d5fa294e838f1afdbe07853">GetItems</a> ()</td></tr>
<tr class="separator:a3fcf37359d5fa294e838f1afdbe07853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f30f406f833e7cca6d2b0c144c613b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a0f30f406f833e7cca6d2b0c144c613b5">SetHandsItem</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> item)</td></tr>
<tr class="separator:a0f30f406f833e7cca6d2b0c144c613b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fbe38fabd60ef21b3d88b0dcdf7345c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a4fbe38fabd60ef21b3d88b0dcdf7345c">GetHandsItem</a> ()</td></tr>
<tr class="separator:a4fbe38fabd60ef21b3d88b0dcdf7345c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35b3ca2297aa87528024483b901338e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a35b3ca2297aa87528024483b901338e3">Reset</a> ()</td></tr>
<tr class="separator:a35b3ca2297aa87528024483b901338e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6655bed85a928b7ae62feef272fe64a3"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a6655bed85a928b7ae62feef272fe64a3">m_Index</a></td></tr>
<tr class="separator:a6655bed85a928b7ae62feef272fe64a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ab25383a744f0fd1e3632a72f1ae654"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a0ab25383a744f0fd1e3632a72f1ae654">m_Root</a></td></tr>
<tr class="separator:a0ab25383a744f0fd1e3632a72f1ae654"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78a719eb812fd010f2be13dc996c0c29"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a78a719eb812fd010f2be13dc996c0c29">m_IndexWidget</a></td></tr>
<tr class="separator:a78a719eb812fd010f2be13dc996c0c29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1980207052c2268e4f613fb1f2d8fc9e"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#a1980207052c2268e4f613fb1f2d8fc9e">m_HandsItem</a></td></tr>
<tr class="separator:a1980207052c2268e4f613fb1f2d8fc9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2ccf4a69cbcd6864586fbd06ab84909"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#aa2ccf4a69cbcd6864586fbd06ab84909">m_Items</a></td></tr>
<tr class="separator:aa2ccf4a69cbcd6864586fbd06ab84909"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2f8ae17e011c9228177d6ca438ecb5b"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d2f/class_c_t_object_follower.html#ae2f8ae17e011c9228177d6ca438ecb5b">m_HandsItemObj</a></td></tr>
<tr class="separator:ae2f8ae17e011c9228177d6ca438ecb5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00001">1</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a00320dd4e38164d2cd52aa934fa69581" name="a00320dd4e38164d2cd52aa934fa69581"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00320dd4e38164d2cd52aa934fa69581">&#9670;&#160;</a></span>~CTActor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CTObjectFollower::~CTActor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00030">30</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a101a8717dcb49807a830e0bc7344b38f" name="a101a8717dcb49807a830e0bc7344b38f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a101a8717dcb49807a830e0bc7344b38f">&#9670;&#160;</a></span>AddItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CTObjectFollower::AddItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00042">42</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="add9ab77695f2edd99e45f8b764cae941" name="add9ab77695f2edd99e45f8b764cae941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9ab77695f2edd99e45f8b764cae941">&#9670;&#160;</a></span>CTActor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CTObjectFollower::CTActor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orient</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>items</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>hands_item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">CameraToolsMenu&#160;</td>
          <td class="paramname"><em>parent</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00013">13</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a7d4860913dd2769f9b9a9aeb0d369618" name="a7d4860913dd2769f9b9a9aeb0d369618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d4860913dd2769f9b9a9aeb0d369618">&#9670;&#160;</a></span>GetActorType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> CTObjectFollower::GetActorType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00035">35</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a4fbe38fabd60ef21b3d88b0dcdf7345c" name="a4fbe38fabd60ef21b3d88b0dcdf7345c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fbe38fabd60ef21b3d88b0dcdf7345c">&#9670;&#160;</a></span>GetHandsItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> CTObjectFollower::GetHandsItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00081">81</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a3fcf37359d5fa294e838f1afdbe07853" name="a3fcf37359d5fa294e838f1afdbe07853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3fcf37359d5fa294e838f1afdbe07853">&#9670;&#160;</a></span>GetItems()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; CTObjectFollower::GetItems </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00062">62</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a35b3ca2297aa87528024483b901338e3" name="a35b3ca2297aa87528024483b901338e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35b3ca2297aa87528024483b901338e3">&#9670;&#160;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CTObjectFollower::Reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00086">86</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a0f30f406f833e7cca6d2b0c144c613b5" name="a0f30f406f833e7cca6d2b0c144c613b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f30f406f833e7cca6d2b0c144c613b5">&#9670;&#160;</a></span>SetHandsItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CTObjectFollower::SetHandsItem </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00067">67</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="aef711b482e4fe747e47b734e4ac18603" name="aef711b482e4fe747e47b734e4ac18603"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef711b482e4fe747e47b734e4ac18603">&#9670;&#160;</a></span>SetItems()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void CTObjectFollower::SetItems </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>items</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00049">49</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1980207052c2268e4f613fb1f2d8fc9e" name="a1980207052c2268e4f613fb1f2d8fc9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1980207052c2268e4f613fb1f2d8fc9e">&#9670;&#160;</a></span>m_HandsItem</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> CTObjectFollower::m_HandsItem</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00008">8</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="ae2f8ae17e011c9228177d6ca438ecb5b" name="ae2f8ae17e011c9228177d6ca438ecb5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2f8ae17e011c9228177d6ca438ecb5b">&#9670;&#160;</a></span>m_HandsItemObj</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> CTObjectFollower::m_HandsItemObj</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00011">11</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a6655bed85a928b7ae62feef272fe64a3" name="a6655bed85a928b7ae62feef272fe64a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6655bed85a928b7ae62feef272fe64a3">&#9670;&#160;</a></span>m_Index</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> CTObjectFollower::m_Index</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00003">3</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a78a719eb812fd010f2be13dc996c0c29" name="a78a719eb812fd010f2be13dc996c0c29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78a719eb812fd010f2be13dc996c0c29">&#9670;&#160;</a></span>m_IndexWidget</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> CTObjectFollower::m_IndexWidget</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00006">6</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="aa2ccf4a69cbcd6864586fbd06ab84909" name="aa2ccf4a69cbcd6864586fbd06ab84909"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2ccf4a69cbcd6864586fbd06ab84909">&#9670;&#160;</a></span>m_Items</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d41/classarray.html">array</a>&lt;<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&gt; CTObjectFollower::m_Items</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00009">9</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<a id="a0ab25383a744f0fd1e3632a72f1ae654" name="a0ab25383a744f0fd1e3632a72f1ae654"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ab25383a744f0fd1e3632a72f1ae654">&#9670;&#160;</a></span>m_Root</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> CTObjectFollower::m_Root</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html#l00005">5</a> of file <a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/CameraTools/<a class="el" href="../../db/d4b/_c_t_actor_8c_source.html">CTActor.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/d2f/class_c_t_object_follower.html">CTObjectFollower</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
